=== debian/control ===
Source: openssl098
Build-Depends: debhelper (>= 8.1.3~), binutils (>= 2.14.90.0.7), zlib1g-dev, m4, bc
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>, Kurt Roeckx <kurt@roeckx.be>
Standards-Version: 3.8.0
Vcs-Browser: http://svn.debian.org/wsvn/pkg-openssl/openssl
Vcs-Svn: svn://svn.debian.org/pkg-openssl/openssl/

Package: libssl0.9.8
Section: libs
Priority: important
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: ssleay (<< 0.9.2b), libssl, openssl (<< 0.9.6-2), libssl096-dev (<< 0.9.6-2)
Multi-Arch: same
Description: SSL shared libraries
 libssl and libcrypto shared libraries needed by programs like
 apache-ssl, telnet-ssl and openssh.
 .
 It is part of the OpenSSL implementation of SSL.

Package: libssl0.9.8-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libssl0.9.8 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Symbol tables for libssl and libcrypto
 This package is part of the OpenSSL implementation of SSL.

Package: libcrypto0.9.8-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: crypto shared library - udeb
 libcrypto shared library.
 .
 Do not install it on a normal system.
